AddApplication

View as Markdown

Adds a new account’s application.

Allowed roles: Owner, Admin.

Example request: Add a new application.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_namestringRequired

Short application name in the [a-z][a-z0-9-]64 format

secure_record_storagebooleanOptional
Whether to enable secure storage for all logs and records of the application

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully
application_idinteger
The application ID
application_namestring
The full application name
secure_record_storageboolean
Whether a secure storage for logs and records is enabled or not